Portfolio

Aggregates investments table

GET/portfolio/tables/aggregates/investments

Returns a paginated list of investments with aggregated capital metrics across funds and direct investments at the given valuation date.

Query parameters

  • asset_idinteger#
  • investor_idinteger#
  • per_pageinteger#
  • pageinteger#
  • pre_datestring (date-time)#
  • asset_classPortfolioAssetClass | null#
  • structurePortfolioAssetStructure | null#
  • filter[]array | null#
  • sub_position_parent_idinteger#
  • includePendingboolean#
  • latestboolean#

Responses

200
{
  "current_page": 1,
  "data": [
    {}
  ],
  "last_page": 1,
  "per_page": 1,
  "total": 1
}
404

An error

422

Validation error

Examples

curl https://your-org-domain/kong/core/api/v2/portfolio/tables/aggregates/investments\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"